--- title: "View product overview" slug: "apigateway-product-getoverview" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-product-getoverview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View product overview Available in Classic and VPC View the overview of a specified product. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/overview | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID whose overview you want to view - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/overview' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "apis" : [ { "apiName" : "apiName", "domainCode" : "domainCode", "methodsCount" : 2, "stages" : [ { "deployedStageDeploymentNo" : 0, "stageName" : "stageName", "host" : "host", "stageId" : "stageId" } ], "apiId" : "apiId" } ], "apiKeyCountInfo" : { "request" : 5, "total" : 5, "rejected" : 1, "accepted" : 0, "denied" : 6 } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "apis": [ { "stages": [ { "stageId": "***5ei7***", "stageName": "stage", "deployedStageDeploymentNo": 250***, "host": "https://***ksk9***.apigw.ntruss.com" } ], "apiId": "***51hs***", "apiName": "api000", "methodsCount": 6 } ], "apiKeyCountInfo": { "accepted": 0, "rejected": 0, "request": 0, "denied": 0, "total": 0 } } ```